|  | Home · All Classes · All Functions · Overviews

# QWSScreenSaver Class Reference
[QtGui module]

The QWSScreenSaver class is a base class for screensavers in Qt for Embedded Linux. More...

     #include <QWSScreenSaver>

- List of all members, including inherited members

## Public Functions

virtual | ~QWSScreenSaver ()
virtual void | restore () = 0
virtual bool | save ( int level ) = 0

## Detailed Description

The QWSScreenSaver class is a base class for screensavers in Qt for Embedded Linux.

When running Qt for Embedded Linux applications, it is the server application that installs and controls the screensaver. Qt for Embedded Linux supports multilevel screen saving; i.e., it is possible to specify several different levels of screen responsiveness. For example, you can choose to first turn off the light before you fully activate the screensaver.

Note that there exists no default screensaver implementation.

To create a custom screensaver, derive from this class and reimplement the restore() and save() functions. These functions are called whenever the screensaver is activated or deactivated, respectively. Once an instance of your custom screensaver is created, you can use the QWSServer::setScreenSaver() function to install it.

See also QWSServer, QScreen, and Qt for Embedded Linux.

## Member Function Documentation

### QWSScreenSaver::~QWSScreenSaver () `[virtual]`

Reimplement this function to destroy the screensaver.

### void QWSScreenSaver::restore () `[pure virtual]`

Implement this function to deactivate the screensaver, restoring the previously saved screen.

See also save() and QWSServer::screenSaverActivate().

### bool QWSScreenSaver::save ( int level ) `[pure virtual]`

Implement this function to activate the screensaver, saving the current screen.

Qt for Embedded Linux supports multilevel screen saving; i.e., it is possible to specify several different levels of screen responsiveness. For example, you can choose to first turn off the light before you fully activate the screensaver. Use the QWSServer::setScreenSaverIntervals() to specify the time intervals between the different levels.

This function should return true if the screensaver successfully enters the given level; otherwise it should return false.

See also restore() and QWSServer::screenSaverActivate().